# -*- coding: utf-8 -*-

import numpy as np
import pandas as pd


from visionToolkit.statistical_analysis.dynamic_variables import fractal_dimension as ftd


        
def FractalDimension (scan_path,
                      method = 'H_FD', hilbert_iterations = 20, k_max = 5, nb_box = 5000, fill_factor = 500,
                      plot = True):
    
    data_set = scan_path.get_data_set()
    fractal_analysis = ftd.Fractal_Analysis(data_set, 
                                            method, hilbert_iterations, k_max, nb_box, fill_factor,
                                            plot)
    fractal_analysis.process()
    results_set = fractal_analysis.get_result_set()
    
    fractal_dimension = results_set['statistical_variables']['dynamic']['fractal_dimension']['fractal_dimension']

    return fractal_dimension
        
        